.sfdx:
  variables:
    project_name: sfdx
    project_path: dockerfiles/devtools/sfdx
    ARTIFACTORY_PATH: devtools/sfdx
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE/sfdx/scan
    AUTO_VERSION: "true"
  only:
    changes:
      - dockerfiles/devtools/sfdx/**/*

build:sfdx:
  extends: 
    - .build-docker-image
    - .sfdx
  stage: build_3
  needs: []

scan:sfdx:
  extends: 
    - .container_scanning
    - .sfdx
  needs: ["build:sfdx"]

publish:sfdx:
  extends: 
    - .promote-docker-image
    - .sfdx
